 /*
   Unix wifi.c header file.
   Copyright (C) Alamy Liu <alamyliu@yahoo.com> 2002

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
*/

#ifndef	_WIFI_H_
#define	_WIFI_H_

#include	"ttcp.h"

void	Wifi_transfer_inquery_long(int fd, Options *opt);
void	Wifi_receive_inquery_long(int fd, Options *opt);

void	Wifi_transfer_real_audio(int fd, Options *opt);
void	Wifi_receive_real_audio(int fd, Options *opt);

void	Wifi_transfer_data(int fd, Options *opt);
void	Wifi_receive_data(int fd, Options *opt);

void	Wifi_set_options(Options *opt);

#endif	//	_WIFI_H_
